Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 225308 - Cannot set formatting to allow '=' on following line -- as required by our standards.
Cannot set formatting to allow '=' on following line -- as required by our st...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Formatting & Indentation
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 21:13 UTC by emiddio
Modified: 2013-04-18 02:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description emiddio 2013-01-24 21:13:58 UTC
Cannot set formatting to allow '=' on following line -- as required by our standards.

Where I am working they have a formatting standard enforced by CheckStyle - that line breaks near an '=' must leave '=' on new line, not on the previous line - cannon end a line with '='.

Do not see a way to configure formatting to allow such requirement.
Comment 1 Dusan Balek 2013-04-15 10:14:34 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/7c9eff120a64
Comment 2 Quality Engineering 2013-04-18 02:19:03 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7c9eff120a64
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #225308: Cannot set formatting to allow '=' on following line -- as required by our standards - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo